Package ru.bgcrm.plugin.bgbilling.proto.model.tariff

# Class ContractTariffOption

java.lang.Object
org.bgerp.model.base.Id
ru.bgcrm.plugin.bgbilling.proto.model.tariff.ContractTariffOption

All Implemented Interfaces:
  `Serializable`, `Id<Integer>`

public class ContractTariffOption extends Id

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class org.bgerp.model.base.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ContractTariffOption()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Date`
  `getActivatedTime()`
  `int`
  `getActivateMode()`
  `int`
  `getChargeId()`
  `int`
  `getContractId()`
  `int`
  `getOptionId()`
  `String`
  `getOptionTitle()`
  `BigDecimal`
  `getSumma()`
  `Date`
  `getTimeFrom()`
  `Date`
  `getTimeTo()`
  `int`
  `getUserId()`
  `String`
  `getUserTitle()`
  `void`
  `setActivatedTime(Date activatedTime)`
  `void`
  `setActivateMode(int activateMode)`
  `void`
  `setChargeId(int chargeId)`
  `void`
  `setContractId(int contractId)`
  `void`
  `setOptionId(int optionId)`
  `void`
  `setOptionTitle(String optionTitle)`
  `void`
  `setSumma(BigDecimal summa)`
  `void`
  `setTimeFrom(Date timeFrom)`
  `void`
  `setTimeTo(Date timeTo)`
  `void`
  `setUserId(int userId)`
  `void`
  `setUserTitle(String userTitle)`

  ### Methods inherited from class org.bgerp.model.base.Id

  `equals, getId, hashCode, setId`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ContractTariffOption

    public ContractTariffOption()

- ## Method Details

  - ### getOptionId

    public int getOptionId()

  - ### setOptionId

    public void setOptionId(int optionId)

  - ### getOptionTitle

    public String getOptionTitle()

  - ### setOptionTitle

    public void setOptionTitle(String optionTitle)

  - ### getSumma

    public BigDecimal getSumma()

  - ### setSumma

    public void setSumma(BigDecimal summa)

  - ### getChargeId

    public int getChargeId()

  - ### setChargeId

    public void setChargeId(int chargeId)

  - ### getContractId

    public int getContractId()

  - ### setContractId

    public void setContractId(int contractId)

  - ### getActivateMode

    public int getActivateMode()

  - ### setActivateMode

    public void setActivateMode(int activateMode)

  - ### getActivatedTime

    public Date getActivatedTime()

  - ### setActivatedTime

    public void setActivatedTime(Date activatedTime)

  - ### getTimeFrom

    public Date getTimeFrom()

  - ### setTimeFrom

    public void setTimeFrom(Date timeFrom)

  - ### getTimeTo

    public Date getTimeTo()

  - ### setTimeTo

    public void setTimeTo(Date timeTo)

  - ### getUserId

    public int getUserId()

  - ### setUserId

    public void setUserId(int userId)

  - ### getUserTitle

    public String getUserTitle()

  - ### setUserTitle

    public void setUserTitle(String userTitle)